####FEATURE SELECTION BASED ON THE LOCAL LIFT DEPENDENCE SCALE#############################################
####CONGRESSIONAL VOTING RECORDS: http://archive.ics.uci.edu/ml/datasets/Congressional+Voting+Records######

#libraries
library(localift)
library(data.table)
library(xtable)

#read data
congress <- fread("house-votes-84.txt",colClasses = rep("factor",17),na.strings = "?")
summary(congress)

#democrat
democrat <- lift.feat.selection(y = congress$party,x = congress[,-1],cost = "max",local = "democrat",
                                low.min = 0.15,trace = TRUE)
View(democrat$trace)

#republican
republican <- lift.feat.selection(y = congress$party,x = congress[,-1],cost = "max",local = "republican",
                                low.min = 0.15,trace = TRUE)
View(republican$trace)

#export
xtable(democrat$trace[democrat$trace$Max == max(democrat$trace$Max),c(1,6,7,8)])
xtable(republican$trace[republican$trace$Max >= 2.63,c(1,6,7,8)])
